Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class MessageFormatter

    java.lang.Object
      com.servingxml.util.MessageFormatter

    public class MessageFormatter

extends java.lang.Object

Constructor Summary
`MessageFormatter()`

Method Summary
`static MessageFormatter` | `getInstance()`
`java.lang.String` | `getMessage(java.lang.String key)`
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg1)`
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String[] args)`
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg1, java.lang.String arg2)`
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageFormatter

    public MessageFormatter()

Method Detail

### getInstance

    public static MessageFormatter getInstance()

### getMessage

    public java.lang.String getMessage(java.lang.String key)

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String arg1)

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String arg1,
                                       java.lang.String arg2)

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String arg1,
                                       java.lang.String arg2,
                                       java.lang.String arg3)

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String arg1,
                                       java.lang.String arg2,
                                       java.lang.String arg3,
                                       java.lang.String arg4)

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD